from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class JmJobNode(BaseModel):
    __tablename__ = "jm_job_node"

    id = Column(Integer, primary_key=True, index=True)
    # 任务id
    job_id = Column(Integer)
    # 作业id
    homework_id = Column(Integer)
    # 作业名称
    homework_name = Column(String)
    # 起始点（0:起始点；1:非起始点）
    start_point = Column(Integer)