from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class DataManagement(BaseModel):
    __tablename__ = "data_management"

    id = Column(Integer, primary_key=True, index=True)
    # 数据名称
    name = Column(String)
    # 表格名称
    table_name = Column(String)
    # 创建时间
    create_time = Column(Integer, nullable=False)
    # 创建人名称
    user_name = Column(String, nullable=False)
    # 创建人编号
    user_id = Column(String, nullable=False)
    # 项目编号
    project_id = Column(String, nullable=False)
    # af_run_id
    af_run_id = Column(String, nullable=False)
    # 状态(1:转存中,2:成功,3:失败)
    status = Column(Integer, nullable=False)